using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace BreakSample
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btnCalculator_Click(object sender, RoutedEventArgs e)
        {
            int total = 0;
            int currentNumber = 1;
            int num;

            if (int.TryParse(txtNumber.Text, out num)) {
                while (true) {
                    total += currentNumber;

                    //TODO:1.加入条件判断式与break语句


                    currentNumber++;
                }
            }

            tbResult.Text = String.Format("从1开始累计，总和從{0}开始大于{1}.", currentNumber, num);

        }
    }
}
